import { Component } from 'solid-js';
import { useI18n } from '@solid-primitives/i18n';
import DisplayOrGetAddress from '.';

interface Props {
  id: string;
  wpts: () => Wpt[];
  putAction: string;
}

const DisplayOrGetStartEndAddresses: Component<Props> = (props) => {
  const { id, wpts, putAction } = props;
  const [t, { add, locale, dict }] = useI18n();

  const dispatchParamsFactory = (index: number) => (wpt: Wpt) => ({
    action: putAction,
    params: { id, index, wpt },
  });

  return (
    <>
      {t('from')}{' '}
      <DisplayOrGetAddress
        wpt={() => wpts()?.at(0)}
        dispatchParams={dispatchParamsFactory(0)}
      />{' '}
      {t('to')}{' '}
      <DisplayOrGetAddress
        wpt={() => wpts()?.at(-1)}
        dispatchParams={dispatchParamsFactory(-1)}
      />
    </>
  );
};

export default DisplayOrGetStartEndAddresses;
